#!/bin/bash

DB_USERNAME=
DB_PASSWORD=
DB_PURGE_SQL="purge.sql"
DB_SCHEMA=
DB_PORT=3306
DB_HOST=
HELP="FALSE"
ARGS=

for i in "$@"
do
	case "$i" in
	--db-schema=*)
		DB_SCHEMA="${i#*=}"
                ;;
	--db-username=*)
		DB_USERNAME="${i#*=}"
		;;
	--db-password=*)
		DB_PASSWORD="${i#*=}"
		;;
	--db-host=*)
		DB_HOST="${i#*=}"
		;;
	--db-port=*)
		DB_PORT="${i#*=}"
		;;
	--db-sql=*)
		DB_PURGE_SQL="${i#*=}"
		;;
	--help|-h)
		HELP="TRUE"
		;;
	*)
		HELP="TRUE"
		;;

esac
done

if [ "${HELP}"  == "TRUE" ] ; then 
	cat <<EOF
clear-sales-db 
	--db-schema= 
	--db-username= 
	--db-password= 
	--db-host=		optional
	--db-port=${DB_PORT} 		optional
	--db-sql=${DB_PURGE_SQL} 	optional
EOF
exit 0
fi

if [ -z "${DB_SCHEMA}" ]; then
        echo "schema not specified, aborting" 
        exit 1
else
	echo "using ${DB_SCHEMA}"
fi

if [ -z "${DB_USERNAME}" ]; then
        echo "username not specified, aborting" 
        exit 1
fi

if [ -z "${DB_PASSWORD}" ]; then
        echo "password not specified, aborting" 
        exit 1
fi

if [ "${DB_HOST}" ]; then
	if [ -z "${DB_PORT}" ]; then
        echo "port not specified, aborting" 
        exit 1
	fi
	ARGS="--host=${DB_HOST} --port=${DB_PORT}"
fi


ARGS="${ARGS} --user=${DB_USERNAME} --password=${DB_PASSWORD} ${DB_SCHEMA}"

mysql ${ARGS} < ${DB_PURGE_SQL}